## changie 1.24.0

=== Makefile ===
.ONESHELL:
.DEFAULT: help

.PHONY: help
help:
	@grep -E '^[a-z-]+:.*#' Makefile | \
		sort | \
		while read -r l; do printf "\033[1;32m$$(echo $$l | \
		cut -d':' -f1)\033[00m:$$(echo $$l | cut -d'#' -f2-)\n"; \
	done

.PHONY: test
test: # Run unit test suite
	go test -race -coverprofile=c.out ./...
	go tool cover -html=c.out -o=coverage.html

.PHONY: lint
lint: # Run linters
	go mod tidy
	golangci-lint run --fix ./...

.PHONY: format
format: lint # alias for lint

.PHONY: gen
gen: # Generate config and CLI docs
	go run main.go gen

.PHONY: vhs-gen
vhs-gen: # Generate VHS recording videos
	cd examples
	ls *.tape | xargs -n 1 vhs

.PHONY: docs-serve
docs-serve: # Serve documentation locally with hot reloading
	mkdocs serve

.PHONY: pip-install
pip-install: # Install python packages using pip
	pip install -r requirements.txt

.PHONY: pip-freeze
pip-freeze: # Save python dependencies to requirements.txt
	pip freeze > requirements.txt

=== requirements.txt ===
Babel==2.17.0
cairocffi==1.7.1
CairoSVG==2.8.2
certifi==2025.11.12
cffi==2.0.0
charset-normalizer==3.4.4
click==8.3.1
colorama==0.4.6
cssselect2==0.8.0
defusedxml==0.7.1
ghp-import==2.1.0
idna==3.11
Jinja2==3.1.6
Markdown==3.10
MarkupSafe==3.0.3
mergedeep==1.3.4
mkdocs==1.6.1
mkdocs-macros-plugin==1.5.0
mkdocs-material==9.7.0
mkdocs-material-extensions==1.3.1
packaging==25.0
paginate==0.5.7
pathspec==0.12.1
Pillow==12.0.0
platformdirs==4.5.0
pycparser==2.23
Pygments==2.19.2
pymdown-extensions==10.17.1
python-dateutil==2.9.0.post0
PyYAML==6.0.3
pyyaml_env_tag==1.1
regex==2025.11.3
requests==2.32.5
six==1.17.0
termcolor==3.2.0
tinycss2==1.5.0
urllib3==2.5.0
watchdog==6.0.0
webencodings==0.5.1

=== debian/changelog ===
changie (1.24.0-1) unstable; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2026 18:43:06 +0100

=== debian/control ===
Source: changie
Section: vcs
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-charmbracelet-bubbletea-dev,
 golang-github-charmbracelet-lipgloss-dev,
 golang-github-cqroot-multichoose-dev,
 golang-github-cqroot-prompt-dev,
 golang-github-invopop-jsonschema-dev,
 golang-github-kballard-go-shellquote-dev,
 golang-github-masterminds-semver-dev,
 golang-github-masterminds-sprig-dev,
 golang-github-spf13-cobra-dev,
 golang-gopkg-yaml.v3-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/miniscruff/changie
Vcs-Browser: https://forgejo.debian.net/git/changie
Vcs-Git: https://forgejo.debian.net/git/changie
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/miniscruff/changie

Package: changie
Section: vcs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Automated changelog tool for preparing releases
 Changie is a automated changelog tool for preparing releases with lots of
 customization options:
 .
  * Separate your changelog from commit messages without conflicts.
  * File based changelog management keeps your commit history and release
    notes separate.
  * Track changes while you work while the knowledge is fresh.
  * Extensive configuration options (https://changie.dev/config) to fit
    your project.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	# disabled: needs additional depends

=== debian/watch ===
Version: 5

Template: Github
Owner: miniscruff
Project: @PACKAGE@
